%define name	specimen
%define version	0.5.1
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	MIDI-controlled sampler
Version: 	%{version}
Release: 	%{release}

Source:		http://www.gazuga.net/files/%{name}-%{version}.tar.bz2
URL:		http://www.gazuga.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig
BuildRequires:	gtk-devel libsamplerate-devel libxml2-devel
BuildRequires:	libalsa-devel jackit-devel ladcca-devel
BuildRequires:	phat-devel >= 0.3.1
BuildRequires:  libsndfile-devel

%description
A software sampler with:
- ALSA sequencer interface support
- audio output via ALSA or JACK
- individual panning and volume controls for each patch
- high quality cubically interpolated pitch scaling
- sample start/stop and loop points
- three playback modes; "normal" just plays the sample, "trim" plays the
  sample and stops early if so instructed, "loop" plays the sample for the
  requested duration
- patch bank saving and loading in the "beef" file format
- a waveform display

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Specimen" longtitle="MIDI software sampler" section="Multimedia/Sound"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-2mdk
- Fix BuildRequires
- %mkrel

* Sun Jul 24 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- 0.5.1
- source URL

* Sat Aug 7 2004 Austin Acton <austin@mandrake.org> 0.4.3-1mdk
- 0.4.3

* Sun Jul 25 2004 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- 0.4.2

* Thu Jul 1 2004 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Sat Jun 12 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Wed Jun 2 2004 Austin Acton <austin@mandrake.org> 0.2.9-1mdk
- 0.2.9

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.2.4-1mdk
- 0.2.4

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.2.0-1mdk
- 0.2.0

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.1.3-1mdk
- initial package
